Multiselect MDB Pro component

Bootstrap Multiselect

Note: We are transitioning MDB4 to a legacy version and focusing on developing MDB5. While we'll continue to support for the transition period, we encourage you to migrate to MDB5. We're offering a huge discount on MDB5 PRO to help with your transition, enabling you to leverage the full potential of the latest version. You can find more information here.
upgrade with discount

Bootstrap Multiselect is a jQuery based plugin that allows users to tick multiple options from a standard Bootstrap select.

Its implementation is quite simple, and in exchange brings a lot of UX value.

Examples of Bootstrap Multiselect use:

  • Ingredient choice within a pizza delivery system
  • Laptop hardware configuration an online shop
  • Flight booking customization

See the following mutliselect dropdown examples:


Default multiselect

Basic example of select component that allows you to choose from a number of options.

        
            

            <select class="custom-select" multiple>
              <option selected>Open this select menu</option>
              <option value="1">One</option>
              <option value="2">Two</option>
              <option value="3">Three</option>
            </select>

          
        
    

Material design MDB Pro component

        
            

            <div class="row">
              <div class="col-md-12">

                <select class="mdb-select colorful-select dropdown-primary md-form" multiple searchable="Search here..">
                  <option value="" disabled selected>Choose your country</option>
                  <option value="1">USA</option>
                  <option value="2">Germany</option>
                  <option value="3">France</option>
                  <option value="4">Poland</option>
                  <option value="5">Japan</option>
                </select>
                <label class="mdb-main-label">Label example</label>
                <button class="btn-save btn btn-primary btn-sm">Save</button>

              </div>
            </div>
            
          
        
    
        
            

            // Material Select Initialization
            $(document).ready(function() {
              $('.mdb-select').materialSelect();
            });
            
          
        
    

Overwriting a standard select

MDB overwrites a standard select to replace it with our Material Select. That's why before you can use it, you have to initialize Material Select by placing the following code in your project.

In addition, you will need a separate call for any dynamically generated select elements your page generates.

Initialization:

        
            

      // Material Select Initialization
      $(document).ready(function() {
        $('.mdb-select').materialSelect();
      });
    
        
    

Full documentation of our select

You can find detailed documentation and all available options in our Material Select documentation.


Standard multiselect MDB Pro component

        
            

        <select class="mdb-select md-form" multiple>
          <option value="" disabled selected>Choose your country</option>
          <option value="1">USA</option>
          <option value="2">Germany</option>
          <option value="3">France</option>
          <option value="4">Poland</option>
          <option value="5">Japan</option>
        </select>
        <button class="btn-save btn btn-primary btn-sm">Save</button>

      
        
    
        
            

        // Material Select Initialization
        $(document).ready(function() {
          $('.mdb-select').materialSelect();
        });
        
      
        
    

Multiselect with label MDB Pro component

        
            

        <select class="mdb-select md-form" multiple>
          <option value="" disabled selected>Choose your country</option>
          <option value="1">USA</option>
          <option value="2">Germany</option>
          <option value="3">France</option>
          <option value="3">Poland</option>
          <option value="3">Japan</option>
        </select>
        <label class="mdb-main-label">Label example</label>
        <button class="btn-save btn btn-primary btn-sm">Save</button>

      
        
    
        
            

        // Material Select Initialization
        $(document).ready(function() {
          $('.mdb-select').materialSelect();
        });
        
      
        
    

Colorful Multiselect with label MDB Pro component

        
            

        <select class="mdb-select md-form colorful-select dropdown-danger" multiple>
          <option value="" disabled selected>Choose your country</option>
          <option value="1">USA</option>
          <option value="2">Germany</option>
          <option value="3">France</option>
          <option value="3">Poland</option>
          <option value="3">Japan</option>
        </select>
        <label class="mdb-main-label">Label example</label>
        <button class="btn-save btn btn-danger btn-sm">Save</button>

      
        
    
        
            

        // Material Select Initialization
        $(document).ready(function() {
          $('.mdb-select').materialSelect();
        });
        
      
        
    

Multiselect with options groups MDB Pro component

In select you can also activate multiple mode so that you can select several items.

        
            

        <select class="mdb-select md-form" multiple>
          <optgroup label="team 1">
            <option value="1">Option 1</option>
            <option value="2">Option 2</option>
          </optgroup>
          <optgroup label="team 2">
            <option value="3">Option 3</option>
            <option value="4">Option 4</option>
          </optgroup>
        </select>
        <button class="btn-save btn btn-primary btn-sm">Save</button>

      
        
    
        
            

        // Material Select Initialization
        $(document).ready(function() {
          $('.mdb-select').materialSelect();
        });
        
      
        
    

Multiselect with icons MDB Pro component

        
            

        <select class="mdb-select md-form" multiple>
          <option value="" data-icon="https://mdbootstrap.com/img/Photos/Avatars/avatar-1.webp" class="rounded-circle">
            example
            1</option>
          <option value="" data-icon="https://mdbootstrap.com/img/Photos/Avatars/avatar-2.webp" class="rounded-circle">
            example
            2</option>
          <option value="" data-icon="https://mdbootstrap.com/img/Photos/Avatars/avatar-3.webp" class="rounded-circle">
            example
            3</option>
        </select>
        <button class="btn-save btn btn-primary btn-sm">Save</button>

      
        
    
        
            

        // Material Select Initialization
        $(document).ready(function() {
          $('.mdb-select').materialSelect();
        });
        
      
        
    

Multiselect with search box MDB Pro component

        
            

        <select class="mdb-select md-form" multiple searchable="Search here..">
          <option value="" disabled selected>Choose your country</option>
          <option value="1">USA</option>
          <option value="2">Germany</option>
          <option value="3">France</option>
          <option value="3">Poland</option>
          <option value="3">Japan</option>
        </select>
        <button class="btn-save btn btn-primary btn-sm">Save</button>

      
        
    
        
            

        // Material Select Initialization
        $(document).ready(function() {
          $('.mdb-select').materialSelect();
        });
        
      
        
    

Multiselect with label and search box MDB Pro component

        
            

        <select class="mdb-select md-form" multiple searchable="Search here..">
          <option value="" disabled selected>Choose your country</option>
          <option value="1">USA</option>
          <option value="2">Germany</option>
          <option value="3">France</option>
          <option value="3">Poland</option>
          <option value="3">Japan</option>
        </select>
        <label class="mdb-main-label">Label example</label>
        <button class="btn-save btn btn-primary btn-sm">Save</button>

      
        
    
        
            

        // Material Select Initialization
        $(document).ready(function() {
          $('.mdb-select').materialSelect();
        });
        
      
        
    

Colorful Multiselect with label and search box MDB Pro component

        
            

        <select class="mdb-select md-form colorful-select dropdown-primary" multiple searchable="Search here..">
          <option value="" disabled selected>Choose your country</option>
          <option value="1">USA</option>
          <option value="2">Germany</option>
          <option value="3">France</option>
          <option value="3">Poland</option>
          <option value="3">Japan</option>
        </select>
        <label class="mdb-main-label">Label example</label>
        <button class="btn-save btn btn-primary btn-sm">Save</button>

      
        
    
        
            

        // Material Select Initialization
        $(document).ready(function() {
          $('.mdb-select').materialSelect();
        });
        
      
        
    

Multiselect with options groups and search box MDB Pro component

To select you can also add search box.

        
            

        <select class="mdb-select" multiple searchable="Search here..">
          <option value="" data-icon="https://mdbootstrap.com/img/Photos/Avatars/avatar-1.webp" class="rounded-circle">
            example
            1</option>
          <option value="" data-icon="https://mdbootstrap.com/img/Photos/Avatars/avatar-2.webp" class="rounded-circle">
            example
            2</option>
          <option value="" data-icon="https://mdbootstrap.com/img/Photos/Avatars/avatar-3.webp" class="rounded-circle">
            example
            3</option>
        </select>
        <button class="btn-save btn btn-primary btn-sm">Save</button>

      
        
    
        
            

        // Material Select Initialization
        $(document).ready(function() {
          $('.mdb-select').materialSelect();
        });
        
      
        
    

Multiselect with icons and search box MDB Pro component

You can add both icons and searchbox to multiselect.

        
            

        <select class="mdb-select md-form" multiple searchable="Search here..">
          <option value="" data-icon="https://mdbootstrap.com/img/Photos/Avatars/avatar-1.webp" class="rounded-circle">
            example
            1</option>
          <option value="" data-icon="https://mdbootstrap.com/img/Photos/Avatars/avatar-2.webp" class="rounded-circle">
            example
            2</option>
          <option value="" data-icon="https://mdbootstrap.com/img/Photos/Avatars/avatar-3.webp" class="rounded-circle">
            example
            3</option>
        </select>
        <button class="btn-save btn btn-primary btn-sm">Save</button>

      
        
    
        
            

        // Material Select Initialization
        $(document).ready(function() {
          $('.mdb-select').materialSelect();
        });
        
      
        
    

Multiselect with FA icons and search box MDB Pro component

        
            

        <select class="mdb-select md-form" multiple searchable="Search here..">
          <option value="" data-fas="laptop blue-text"> example 1</option>
          <option value="" data-far="circle red-text">
            example
            2</option>
          <option value="" data-fab="facebook brown-text">
            example
            3</option>
        </select>
        <button class="btn-save btn btn-primary btn-sm">Save</button>
      
        
    
        
            

        // Material Select Initialization
        $(document).ready(function() {
          $('.mdb-select').materialSelect();
        });
        
      
        
    

Material Select with translations MDB Pro component

        
            

        <div class="col-md-3 my-3">
          <select id="lang" class="mdb-select md-form" multiple searchable="Szukaj tutaj..">
            <option value="" disabled selected>Wybierz kraje</option>
            <option value="1">USA</option>
            <option value="2">Germany</option>
            <option value="3">France</option>
            <option value="3">Poland</option>
            <option value="3">Japan</option>
          </select>
          <button class="btn-save btn btn-primary btn-sm">Save</button>
        </div>

        <div class="col-md-3 my-3">
          <select id="lang1" class="mdb-select md-form" multiple searchable="Suche hier..">
            <option value="" disabled selected>Wähle dein Land</option>
            <option value="1">USA</option>
            <option value="2">Germany</option>
            <option value="3">France</option>
            <option value="3">Poland</option>
            <option value="3">Japan</option>
          </select>
          <button class="btn-save btn btn-primary btn-sm">Save</button>
        </div>

        <div class="col-md-3 my-3">
          <select id="lang2" class="mdb-select md-form" multiple searchable="..ابحث هنا">
            <option value="" disabled selected>اختر بلدك</option>
            <option value="1">USA</option>
            <option value="2">Germany</option>
            <option value="3">France</option>
            <option value="3">Poland</option>
            <option value="3">Japan</option>
          </select>
          <button class="btn-save btn btn-primary btn-sm">Save</button>
        </div>


        <div class="col-md-6 my-3">
          <select id="lang3" class="mdb-select md-form" multiple searchable="Cari di sini..">
            <option value="" disabled selected>Pilih negaramu</option>
            <option value="1">USA</option>
            <option value="2">Germany</option>
            <option value="3">France</option>
            <option value="3">Poland</option>
            <option value="3">Japan</option>
          </select>
          <button class="btn-save btn btn-primary btn-sm">Save</button>
        </div>

        <div class="col-md-6 my-3">
          <select id="lang4" class="mdb-select md-form" multiple searchable="Cherche ici..">
            <option value="" disabled selected>Choisis ton pays</option>
            <option value="1">USA</option>
            <option value="2">Germany</option>
            <option value="3">France</option>
            <option value="3">Poland</option>
            <option value="3">Japan</option>
          </select>
          <button class="btn-save btn btn-primary btn-sm">Save</button>
        </div>
      
        
    
        
            
        <script>
          $(document).ready(function() {

            $('#lang').materialSelect({
            labels: {
              selectAll: 'Wybierz wszystkie',
              optionsSelected: 'wybranych opcji',
              noSearchResults: 'Brak wyników'
            }
          });
          })
          $(document).ready(function() {

           $('#lang1').materialSelect({
            labels: {
              selectAll: 'Alles auswählen',
              optionsSelected: 'Optionen ausgewählt',
              noSearchResults: 'keine Ergebnisse'
            }
          }); 
          })
          $(document).ready(function() {

            $('#lang2').materialSelect({
            labels: {
              selectAll: 'حدد الكل',
              optionsSelected: 'خيارات محددة',
              noSearchResults: 'لا توجد نتائج'
            }
          });  
          })
          $(document).ready(function() {

            $('#lang3').materialSelect({
            labels: {
              selectAll: 'Pilih semua',
              optionsSelected: 'opsi dipilih',
              noSearchResults: 'tidak ada hasil'
            }
          });
          })
          $(document).ready(function() {

            $('#lang4').materialSelect({
            labels: {
              selectAll: 'Sélectionner tout',
              optionsSelected: 'options sélectionnées',
              noSearchResults: 'Aucun résultat'
            }
          });  
          })
          
        </script>
      
        
    

Material Select with advanced translations MDB Pro component

-
        
            

        <div class="col-md-6 my-3">
          <select id="lang-pl" class="mdb-select md-form" multiple searchable="Szukaj..." data-label-select-all="Wybierz wszystkie" data-label-options-selected="opcji wybranych">
            <option value="" disabled selected>Wybierz kraj</option>
            <option value="1">Stany Zjednoczone</option>
            <option value="2">Niemcy</option>
            <option value="3">Francja</option>
            <option value="3">Polska</option>
            <option value="3">Japonia</option>
          </select>
          <button class="btn-save btn btn-primary btn-sm">Zapisz</button>
        </div>

      
        
    
        
            
        $(document).ready(function() {
          $('.mdb-select').materialSelect();
        });
      
        
    

Multiselect with Bootstrap styles MDB Pro component

        
            

        <div class="col-md-6 my-3">
          <select id="sel-bs" class="mdb-select md-form" multiple searchable="Search for...">
            <option value="" disabled selected>Select all</option>
            <option value="1">USA</option>
            <option value="2">Germany</option>
            <option value="3">France</option>
            <option value="3">Poland</option>
            <option value="3">Japan</option>
          </select>
          <button class="btn-save btn btn-primary btn-sm">Save</button>
        </div>

      
        
    
        
            
        $(document).ready(function() {

          $('#sel-bs').materialSelect({
            defaultMaterialInput: true
          });
        })
      
        
    

Multiselect validation MDB Pro component

        
            

        <form class="needs-validation" novalidate>
          <select class="mdb-select validate md-form" multiple searchable="Search here..">
            <option value="" disabled selected>Choose your country</option>
            <option value="1">USA</option>
            <option value="2">Germany</option>
            <option value="3">France</option>
            <option value="4">Poland</option>
            <option value="5">Japan</option>
          </select>
          <button class="btn btn-default btn-sm">Submit</button>
        </form>

      
        
    
        
            
        $(document).ready(function() {
          $('.mdb-select.validate').materialSelect({
            validate: true,
            labels: {
              validFeedback: 'Correct choice',
              invalidFeedback: 'Wrong choice'
            }
          });
          function validateSelect(e) {
            e.preventDefault();
            $('.needs-validation').addClass('was-validated');
            if ($('.needs-validation select').val() == '') {
              $('.needs-validation').find('.valid-feedback').hide();
              $('.needs-validation').find('.invalid-feedback').show();
              $('.needs-validation').find('.select-dropdown').val('').prop('placeholder', 'No countries selected')
            } else {
              $('.needs-validation').find('.valid-feedback').show();
              $('.needs-validation').find('.invalid-feedback').hide();
            }
          }
          $('.needs-validation select').on('change', e => validateSelect(e))
          $('.needs-validation').on('submit', e => validateSelect(e))
        });
      
        
    

Multiselect options and attributes MDB Pro component

The options are the same as in the Single Select, described here.

Angular Bootstrap Multiselect

Angular Multiselect - Bootstrap 4 & Material Design

Angular Bootstrap Multiselect is a component that allows users to tick multiple options from a collapsible list of values. Can be used in forms, menus, and surveys.

Its implementation is quite simple, and in exchange, it brings a lot of UX value.

Examples of Bootstrap Multiselect use include:

  • Ingredient choice within a pizza delivery system
  • Laptop hardware configuration in an online shop
  • Flight booking customization

This documentation may contain syntax introduced in the MDB Angular 9.3.0 and can be incompatible with previous versions. For old multiselect documentation please follow the link.

Live example

Default select

        
            
              <select class="browser-default custom-select">
                <option selected>Open this select menu</option>
                <option value="1">One</option>
                <option value="2">Two</option>
                <option value="3">Three</option>
              </select>
            
        
    

Material select MDB Pro component

        
            
              <div class="md-form">
                <mdb-select-2 [multiple]="true" placeholder="Choose your option" label="Example label">
                  <mdb-select-all-option>Select all</mdb-select-all-option>
                  <mdb-select-option *ngFor="let option of options" [value]="option.value">{{ option.label }}</mdb-select-option>
                </mdb-select-2>
              </div>
            
        
    
        
            
              import { Component } from '@angular/core';

              @Component({
                selector: 'basic-material-select-example',
                templateUrl: 'basic-material-select.html',
              })
              export class BasicMaterialSelectComponent {
                options = [
                  { value: '1', label: 'Option 1' },
                  { value: '2', label: 'Option 2' },
                  { value: '3', label: 'Option 3' },
                ];
              }
            
        
    

Multiselect with options groups MDB Pro component

        
            
          <div class="md-form">
            <mdb-select-2 [multiple]="true" placeholder="Choose your option" label="Example label">
              <mdb-option-group *ngFor="let group of groups" [label]="group.name">
                <mdb-select-all-option>Select all</mdb-select-all-option>
                <mdb-select-option *ngFor="let option of group.options" [value]="option.value">{{ option.label }}</mdb-select-option>
              </mdb-option-group>
            </mdb-select-2>
          </div>
        
        
    
        
            
          import { Component } from '@angular/core';

          @Component({
            selector: 'options-material-select-example',
            templateUrl: 'options-material-select.html',
          })
          export class OptionsMaterialSelectComponent {
            groups = [
              {
                name: 'First group',
                options: [
                  {value: 'first-group-1', label: 'First Group Option 1'},
                  {value: 'first-group-2', label: 'First Group Option 2'},
                ]
              },
              {
                name: 'Second Group',
                options: [
                  {value: 'second-group-1', label: 'Second Group Option 1'},
                  {value: 'second-group-2', label: 'Second Group Option 2'},
                ]
              }
            ];
          }
        
        
    

Disabled multiselect MDB Pro component

You can make your select unselectable, by adding [disabled]="disabled" to mdb-select.


        
            
          <div class="row">
            <div class="col-md-6">
              <div class="md-form">
                <mdb-select-2 [multiple]="true" [disabled]="disabled" placeholder="Choose your option" label="Example label">
                  <mdb-select-all-option>Select all</mdb-select-all-option>
                  <mdb-select-option *ngFor="let option of options" [value]="option.value">{{ option.label }}</mdb-select-option>
                </mdb-select-2>
              </div>
            </div>
            <div class="col-md-6">
              <div class="md-form">
                <mdb-select-2 [multiple]="true" placeholder="Choose your option" label="Example label">
                  <mdb-select-all-option>Select all</mdb-select-all-option>
                  <mdb-select-option *ngFor="let option of options" [value]="option.value" [disabled]="option.disabled">{{ option.label }}</mdb-select-option>
                </mdb-select-2>
              </div>
            </div>
          </div>
        
        
    
        
            
          import { Component } from '@angular/core';

          @Component({
            selector: 'disabled-material-select-example',
            templateUrl: 'disabled-material-select.html',
          })
          export class DisabledMaterialSelectComponent {
            disabled = true;
            options = [
              { value: '1', label: 'Option 1', disabled: true },
              { value: '2', label: 'Option 2', disabled: false },
              { value: '3', label: 'Option 3', disabled: false },
            ];
          }
        
        
    

Template-driven forms MDB Pro component

In this section, you will find on how to use our select component in template-driven forms.

Remember to import the FormsModule into your app.module.ts file.

Preselected value

Bind in the two-way ngModel from component.html with the selectedValue in the component.ts file

        
            
          <div class="md-form">
            <mdb-select-2 [multiple]="true" placeholder="Choose your option" label="Example label" [(ngModel)]="selectedValue">
              <mdb-select-all-option>Select all</mdb-select-all-option>
              <mdb-select-option *ngFor="let option of options" [value]="option.value">{{ option.label }}</mdb-select-option>
            </mdb-select-2>
          </div>
        
        
    
        
            
          import { Component } from '@angular/core';

          @Component({
            selector: 'defaultvalue-material-select-example',
            templateUrl: 'defaultvalue-material-select.html',
          })
          export class DefaultValueMaterialSelectComponent {
            options = [
              { value: '1', label: 'Option 1' },
              { value: '2', label: 'Option 2' },
              { value: '3', label: 'Option 3' },
            ];

            selectedValue = ['1'];
          }
        
        
    

Get selected value

Get selected value with the ngModelChange event, which fires every time you select an option.

        
            
          <div class="md-form">
            <mdb-select-2 [multiple]="true" placeholder="Choose your option" label="Example label" (ngModelChange)="getSelectedValue($event)" [ngModel]="selectedValue">
              <mdb-select-all-option>Select all</mdb-select-all-option>
              <mdb-select-option *ngFor="let option of options" [value]="option.value">{{ option.label }}</mdb-select-option>
            </mdb-select-2>
          </div>
        
        
    
        
            
          import { Component, OnInit } from '@angular/core';

          @Component({
            selector: 'getvalue-material-select-example',
            templateUrl: 'getvalue-material-select.html',
          })
          export class GetValueMaterialSelectComponent implements OnInit {
            options = [
              { value: '1', label: 'Option 1' },
              { value: '2', label: 'Option 2' },
              { value: '3', label: 'Option 3' },
            ];

            selectedValue = ['1'];

            getSelectedValue(value: any) {
              console.log('Selected value:', value);
            }
          }
        
        
    

Reactive forms MDB Pro component

In this section, you will find information on how to use our select component in reactive forms.

Remember to import the ReactiveFormsModule into your app.module.ts file.

Preselected value

Set the default value in FormControl

        
            
          <div class="md-form">
            <mdb-select-2 [multiple]="true" placeholder="Choose your option" label="Example label" [formControl]="selectControl">
              <mdb-select-all-option>Select all</mdb-select-all-option>
              <mdb-select-option *ngFor="let option of options" [value]="option.value">{{ option.label }}</mdb-select-option>
            </mdb-select-2>
          </div>
        
        
    
        
            
          import { Component } from '@angular/core';
          import { FormControl } from '@angular/forms';

          @Component({
            selector: 'defaultvalue-material-select-example',
            templateUrl: 'defaultvalue-material-select.html',
          })
          export class DefaultValueMaterialSelectComponent {
            selectControl = new FormControl(['1']);

            options = [
              { value: '1', label: 'Option 1' },
              { value: '2', label: 'Option 2' },
              { value: '3', label: 'Option 3' },
            ];
          }
        
        
    

Get selected value

Get the selected value with the reactive forms valueChanged method.

        
            
          <div class="md-form">
            <mdb-select-2 [multiple]="true" placeholder="Choose your option" label="Example label" [formControl]="selectControl">
              <mdb-select-all-option>Select all</mdb-select-all-option>
              <mdb-select-option *ngFor="let option of options" [value]="option.value">{{ option.label }}</mdb-select-option>
            </mdb-select-2>
          </div>
        
        
    
        
            
          import { Component, OnInit } from '@angular/core';
          import { FormGroup, FormControl } from '@angular/forms';

          @Component({
            selector: 'getvalue-material-select-example',
            templateUrl: 'getvalue-material-select.html',
          })
          export class GetValueMaterialSelectComponent implements OnInit {
            selectControl = new FormControl(['1']);

            options = [
              { value: '1', label: 'Option 1' },
              { value: '2', label: 'Option 2' },
              { value: '3', label: 'Option 3' },
            ];

            ngOnInit() {
              this.selectControl.valueChanges.subscribe((value: any) => {
                console.log('Selected value:', value);
              })
            }
          }
        
        
    

Object as option value

        
            
          <div class="md-form">
            <mdb-select-2 [multiple]="true" placeholder="Choose your option" label="Example label" [(ngModel)]="selectedValue" [compareWith]="compareFn">
              <mdb-select-all-option>Select all</mdb-select-all-option>
              <mdb-select-option *ngFor="let option of options" [value]="option">{{ option.label }}</mdb-select-option>
            </mdb-select-2>
          </div>
        
        
    
        
            
          import { Component } from '@angular/core';

          @Component({
            selector: 'basic-material-select-example',
            templateUrl: 'basic-material-select.html',
          })
          export class BasicMaterialSelectComponent {
            options = [
              { value: '1', label: 'Option 1' },
              { value: '2', label: 'Option 2' },
              { value: '3', label: 'Option 3' },
            ];

            selectedValue = [{ value: '2', label: 'Option 2' }];

            compareFn(o1: any, o2: any): boolean {
              return o1 && o2 ? o1.value === o2.value : o1 === o2;
            }
          }
        
        
    

Outline version MDB Pro component

Use the [outline] input to make the Material Select outline like in Material 2.0.

        
            
          <div class="md-form">
            <mdb-select-2 [outline]="true" placeholder="Choose your option" label="Example label">
              <mdb-select-all-option>Select all</mdb-select-all-option>
              <mdb-select-option *ngFor="let option of options" [value]="option.value">{{ option.label }}</mdb-select-option>
            </mdb-select-2>
          </div>
        
        
    
        
            
          import { Component } from '@angular/core';

          @Component({
            selector: 'outline-select',
            templateUrl: 'outline-select.component.html',
          })
          export class OutlineSelectComponent {
            options = [
              { value: '1', label: 'Option 1' },
              { value: '2', label: 'Option 2' },
              { value: '3', label: 'Option 3' },
            ];
          }
        
        
    

Angular Multiselect - API

In this section you will find informations about required modules and available inputs, outputs, methods and events of multiselect component.

This documentation may contain syntax introduced in the MDB Angular 9.3.0 and can be incompatible with previous versions. For old timepicker documentation please follow the link.

Live example

Modules used

In order to speed up your application, you can choose to import only the modules you actually need, instead of importing the entire MDB Angular library. Remember that importing the entire library, and immediately afterwards a specific module, is bad practice, and can cause application errors.

API Reference for MDB Angular Select:
        
            
          import { MdbSelectModule } from 'ng-uikit-pro-standard';
          import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
        
        
    

Components

Select

Selector: mdb-select-2

Type: MdbSelectComponent

Select filter

Selector: mdb-select-filter

Type: MdbSelectFilterComponent


Inputs

Name Type Default Description Example
dropdownClass string ' ' Pass here a css class which you want to add on the internal element of mdb-select [dropdownClass]="'blue'"
allowClear boolean false Whether button for removing selected options should be visible [allowClear]="true"
disabled boolean false Allow to disable select input [disabled]="true"
label string - Adds select label [label]="'Example label'"
multiple boolean false Enables selecting multiple options [multiple]="true"
notFoundMsg string 'No results found' Defines custom not found message for select search box [notFoundMsg]="'Country not found'"
placeholder string ' ' Defines placeholder for mdb-select element placeholder="Text placeholder"
tabindex number 0 Changes tabindex of the component [tabindex]="-1"
visibleOptions number 4 Changes number of visible options in options list [visibleOptions]="2"
optionHeight number 48 Changes the single option height vavlue optionHeight="50"
outline boolean false Changes the appearance of the mdb-select to the outline. [outline]="true"

Outputs

Name Type Description Example
closed EventEmitter<any> Event fired when the select is closed (closed)="selectClosed($event)"
opened EventEmitter<any> Event fired when the select is opened (opened)="selectOpened($event)"
valueChanged EventEmitter<any> Event fired when the select value is changed (changed)="valueChanged($event)"

Angular Multiselect - examples & customization

This documentation may contain syntax introduced in the MDB Angular 9.3.0 and can be incompatible with previous versions. For old timepicker documentation please follow the link.

Live example

Color variations MDB Pro component

        
            
          <div class="md-form">
            <mdb-select-2
              [multiple]="true"
              placeholder="Choose your option"
              label="Example label"
              [dropdownClass]="'mdb-select-dropdown-colorful mdb-select-dropdown-primary'"
            >
              <mdb-select-all-option>Select all</mdb-select-all-option>
              <mdb-select-option *ngFor="let option of options" [value]="option.value">{{ option.label }}</mdb-select-option>
            </mdb-select-2>
          </div>
        
        
    
        
            
          import { Component } from '@angular/core';

          @Component({
            selector: 'color-material-select-example',
            templateUrl: 'color-material-select.html',
          })

          export class ColorMaterialSelectComponent {
            options = [
              { value: '1', label: 'Option 1' },
              { value: '2', label: 'Option 2' },
              { value: '3', label: 'Option 3' },
            ];
          }
        
        
    

In order to change a select color use one of the following classes:

1. .mdb-select-dropdown-primary

2. .mdb-select-dropdown-danger

3. .mdb-select-dropdown-default

4. .mdb-select-dropdown-secondary

5. .mdb-select-dropdown-success

6. .mdb-select-dropdown-info

7. .mdb-select-dropdown-warning

8. .mdb-select-dropdown-ins

9. .mdb-select-dropdown-dark


Multiselect with icons MDB Pro component

        
            
          <div class="md-form">
            <mdb-select-2
              [multiple]="true"
              placeholder="Choose your option"
              label="Example label"
              [dropdownClass]="'mdb-select-dropdown-colorful mdb-select-dropdown-primary'"
            >
              <mdb-select-all-option>Select all</mdb-select-all-option>
              <mdb-select-option *ngFor="let option of options" [value]="option">
                <div class="d-flex justify-content-between align-items-center">
                  <span>{{ option.label }}</span>
                  <img [src]="option.icon" class="rounded-circle" height="34" width="34">
                </div>
              </mdb-select-option>
            </mdb-select-2>
          </div>
        
        
    
        
            
          import { Component } from '@angular/core';

          @Component({
            selector: 'icons-material-select-example',
            templateUrl: 'icons-material-select.html',
          })
          export class IconsMaterialSelectComponent {
            options = [
              { value: '1', label: 'Option 1', icon: 'https://mdbootstrap.com/img/Photos/Avatars/avatar-1.webp' },
              { value: '2', label: 'Option 2', icon: 'https://mdbootstrap.com/img/Photos/Avatars/avatar-2.webp' },
              { value: '3', label: 'Option 3', icon: 'https://mdbootstrap.com/img/Photos/Avatars/avatar-3.webp' },
            ];
          }
        
        
    


Multiselect with custom template MDB Pro component

        
            
          <div class="md-form">
            <mdb-select-2 [multiple]="true" [outline]="true" placeholder="Choose your option" label="Example label">
              <mdb-select-all-option>Select all</mdb-select-all-option>
              <mdb-select-option *ngFor="let option of options" [value]="option.value">{{ option.label }}</mdb-select-option>
              <button mdbBtn color="primary" size="sm" block="true">Button</button>
            </mdb-select-2>
          </div>
        
        
    
        
            
          import { Component } from '@angular/core';

          @Component({
          selector: 'select-with-template',
          templateUrl: 'select-with-template.component.html',
          })

          export class SelectWithTemplateComponent {
            options = [
              { value: '1', label: 'Option 1' },
              { value: '2', label: 'Option 2' },
              { value: '3', label: 'Option 3' },
            ];
          }

Vue Bootstrap Multiselect MDB Pro component

Vue Multiselect - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

Vue Multiselect - Bootstrap 4 & Material Design allows users to tick multiple options from a standard Vue Bootstrap select.

Its implementation is quite simple, and in exchange brings a lot of UX value.

Examples of Vue Bootstrap Multiselect use:

  • Ingredient choice within a pizza delivery system
  • Laptop hardware configuration an online shop
  • Flight booking customization

Full documentation of our select

You can find detailed documentation and all available options in our Material Select documentation.

This documentation may contain syntax introduced in the MDB Vue 6.0.0 and can be not compatible with previous versions. See legacy docs.

Vue live preview

Default multiselect

Basic example of select component that allows you to choose from a number of options.

        
            
          <template>
            <mdb-container>
              <select class="browser-default custom-select" multiple v-model="multiSelected">
                <option value="1" selected>One</option>
                <option value="2">Two</option>
                <option value="3">Three</option>
                <option value="4">Four</option>
              </select>
            </mdb-container>
          </template>
          
        
    
        
            
          <script>
            import {
              mdbContainer
            } from 'mdbvue';

            export default {
              name: 'MultiSelectPageFree',
              components: {
                mdbContainer
              },
              data() {
                return {
                  multiSelected: ['1']
                };
              }
            };
          </script>
          
        
    

Standard multiselect MDB Pro component

        
            
            <template>
              <mdb-container>
                <mdb-select multiple selectAll @getValue="getSelectValue" :options="countries"
                  label="Choose your country" />
              </mdb-container>
            </template>
            
        
    
        
            
            <script>
              import {
                mdbSelect,
                mdbContainer
              } from 'mdbvue';
              export default {
                name: 'SelectPage',
                components: {
                  mdbSelect,
                  mdbContainer
                },
                data() {
                  return {
                    countries: [{
                        text: 'USA',
                        value: 1
                      },
                      {
                        text: 'Germany',
                        value: 2
                      },
                      {
                        text: 'France',
                        value: 3
                      },
                      {
                        text: 'Poland',
                        value: 4
                      },
                      {
                        text: 'Japan',
                        value: 5
                      }
                    ]
                  };
                },
                methods: {
                  getSelectValue(value, text) {
                    console.log(value);
                  }
                }
              }
            </script>
            
        
    

Multiselect with label MDB Pro component

        
            
        <template>
          <mdb-container>
            <mdb-select multiple selectAll @getValue="getSelectValue" :options="countries" label="Example label"
              placeholder="Choose your country" />
          </mdb-container>
        </template>
        
        
    
        
            
        <script>
          import {
            mdbSelect,
            mdbContainer
          } from 'mdbvue';
          export default {
            name: 'SelectPage',
            components: {
              mdbSelect,
              mdbContainer
            },
            data() {
              return {
                countries: [{
                    text: 'USA',
                    value: 1
                  },
                  {
                    text: 'Germany',
                    value: 2
                  },
                  {
                    text: 'France',
                    value: 3
                  },
                  {
                    text: 'Poland',
                    value: 4
                  },
                  {
                    text: 'Japan',
                    value: 5
                  }
                ]
              };
            },
            methods: {
              getSelectValue(value, text) {
                console.log(value);
              }
            }
          }
        </script>
        
        
    

Colorful Multiselect with label MDB Pro component

        
            
        <template>
          <mdb-container>
            <mdb-select multiple color="danger" selectAll @getValue="getSelectValue" :options="countries"
              label="Label example" />
          </mdb-container>
        </template>
        
        
    
        
            
        <script>
          import {
            mdbSelect,
            mdbContainer
          } from 'mdbvue';
          export default {
            name: 'SelectPage',
            components: {
              mdbSelect,
              mdbContainer
            },
            data() {
              return {
                countries: [{
                    text: 'Choose your country',
                    value: null,
                    disabled: true,
                    selected: true
                  },
                  {
                    text: 'USA',
                    value: 1
                  },
                  {
                    text: 'Germany',
                    value: 2
                  },
                  {
                    text: 'France',
                    value: 3
                  },
                  {
                    text: 'Poland',
                    value: 4
                  },
                  {
                    text: 'Japan',
                    value: 5
                  }
                ]
              };
            },
            methods: {
              getSelectValue(value, text) {
                console.log(value);
              }
            }
          }
        </script>
        
        
    

Multiselect with options groups MDB Pro component

In select you can also activate multiple mode so that you can select several items.

        
            
        <template>
          <mdb-container>
            <mdb-select multiple selectAll @getValue="getSelectValue" :options="groupOptions" />
          </mdb-container>
        </template>
        
        
    
        
            
        <script>
          import {
            mdbSelect,
            mdbContainer
          } from 'mdbvue';
          export default {
            name: 'SelectPage',
            components: {
              mdbSelect,
              mdbContainer
            },
            data() {
              return {
                groupOptions: [{
                    text: 'team 1',
                    value: null,
                    disabled: true,
                    optgroup: true
                  },
                  {
                    text: 'Option nr 1',
                    value: 'Option 1',
                    selected: true
                  },
                  {
                    text: 'Option nr 2',
                    value: 'Option 2'
                  },
                  {
                    text: 'team 2',
                    value: null,
                    disabled: true,
                    optgroup: true
                  },
                  {
                    text: 'Option nr 3',
                    value: 'Option 3'
                  },
                  {
                    text: 'Option nr 4',
                    value: 'Option 4'
                  }
                ]
              };
            },
            methods: {
              getSelectValue(value, text) {
                console.log(value);
              }
            }
          }
        </script>
        
        
    

Multiselect with icons MDB Pro component

        
            
        <template>
          <mdb-container>
            <mdb-select multiple selectAll @getValue="getSelectValue" :options="iconOptions"
              placeholder="Choose your option" />
          </mdb-container>
        </template>
        
        
    
        
            
        <script>
          import {
            mdbSelect,
            mdbContainer
          } from 'mdbvue';
          export default {
            name: 'SelectPage',
            components: {
              mdbSelect,
              mdbContainer
            },
            data() {
              return {
                iconOptions: [{
                    text: 'Option nr 1',
                    value: 'Option 1',
                    icon: 'https://mdbootstrap.com/img/Photos/Avatars/avatar-1.webp'
                  },
                  {
                    text: 'Option nr 2',
                    value: 'Option 2',
                    icon: 'https://mdbootstrap.com/img/Photos/Avatars/avatar-2.webp'
                  },
                  {
                    text: 'Option nr 3',
                    value: 'Option 3',
                    icon: 'https://mdbootstrap.com/img/Photos/Avatars/avatar-3.webp'
                  }
                ]
              };
            },
            methods: {
              getSelectValue(value, text) {
                console.log(value);
              }
            }
          }
        </script>
        
        
    

Multiselect with search box MDB Pro component

        
            
        <template>
          <mdb-container>
            <mdb-select multiple selectAll search @getValue="getSelectValue" :options="searchOptions"
              placeholder="Choose your country" />
          </mdb-container>
        </template>
        
        
    
        
            
        <script>
          import {
            mdbSelect,
            mdbContainer
          } from 'mdbvue';
          export default {
            name: 'SelectPage',
            components: {
              mdbSelect,
              mdbContainer
            },
            data() {
              return {
                searchOptions: [{
                    text: 'USA',
                    value: 1
                  },
                  {
                    text: 'Germany',
                    value: 2
                  },
                  {
                    text: 'France',
                    value: 3
                  },
                  {
                    text: 'Poland',
                    value: 4
                  },
                  {
                    text: 'Japan',
                    value: 5
                  }
                ]
              };
            },
            methods: {
              getSelectValue(value, text) {
                console.log(value);
              }
            }
          }
        </script>
        
        
    

Multiselect with label and search box MDB Pro component

        
            
        <template>
          <mdb-container>
            <mdb-select multiple selectAll search @getValue="getSelectValue" :options="searchOptions"
              label="Label example" placeholder="Choose your country" />
          </mdb-container>
        </template>
        
        
    
        
            
        <script>
          import {
            mdbSelect,
            mdbContainer
          } from 'mdbvue';
          export default {
            name: 'SelectPage',
            components: {
              mdbSelect,
              mdbContainer
            },
            data() {
              return {
                searchOptions: [{
                    text: 'USA',
                    value: 1
                  },
                  {
                    text: 'Germany',
                    value: 2
                  },
                  {
                    text: 'France',
                    value: 3
                  },
                  {
                    text: 'Poland',
                    value: 4
                  },
                  {
                    text: 'Japan',
                    value: 5
                  }
                ]
              };
            },
            methods: {
              getSelectValue(value, text) {
                console.log(value);
              }
            }
          }
        </script>
        
        
    

Colorful Multiselect with label and search box MDB Pro component

        
            
        <template>
          <mdb-container>
            <mdb-select multiple color="info" search selectAll @getValue="getSelectValue"
              :options="colorfulAndSearchOptions" label="Label example" placeholder="Choose your country" />
          </mdb-container>
        </template>
        
        
    
        
            
        <script>
          import {
            mdbSelect,
            mdbContainer
          } from 'mdbvue';
          export default {
            name: 'SelectPage',
            components: {
              mdbSelect,
              mdbContainer
            },
            data() {
              return {
                colorfulAndSearchOptions: [{
                    text: 'USA',
                    value: 1
                  },
                  {
                    text: 'Germany',
                    value: 2
                  },
                  {
                    text: 'France',
                    value: 3
                  },
                  {
                    text: 'Poland',
                    value: 4
                  },
                  {
                    text: 'Japan',
                    value: 5
                  }
                ]
              };
            },
            methods: {
              getSelectValue(value, text) {
                console.log(value);
              }
            }
          }
        </script>
        
        
    

Multiselect with options groups and search box MDB Pro component

        
            
        <template>
          <mdb-container>
            <mdb-select multiple search selectAll @getValue="getSelectValue" :options="groupsAndSearchOptions" />
          </mdb-container>
        </template>
        
        
    
        
            
        <script>
          import {
            mdbSelect,
            mdbContainer
          } from 'mdbvue';
          export default {
            name: 'SelectPage',
            components: {
              mdbSelect,
              mdbContainer
            },
            data() {
              return {
                groupsAndSearchOptions: [{
                    text: 'team 1',
                    value: null,
                    disabled: true,
                    optgroup: true
                  },
                  {
                    text: 'Option nr 1',
                    value: 'Option 1',
                    selected: true
                  },
                  {
                    text: 'Option nr 2',
                    value: 'Option 2'
                  },
                  {
                    text: 'team 2',
                    value: null,
                    disabled: true,
                    optgroup: true
                  },
                  {
                    text: 'Option nr 3',
                    value: 'Option 3'
                  },
                  {
                    text: 'Option nr 4',
                    value: 'Option 4'
                  }
                ]
              };
            },
            methods: {
              getSelectValue(value, text) {
                console.log(value);
              }
            }
          }
        </script>
        
        
    

Multiselect with icons and search box MDB Pro component

        
            
        <template>
          <mdb-container>
            <mdb-select multiple search selectAll @getValue="getSelectValue" :options="iconsAndSearchOptions" />
          </mdb-container>
        </template>
        
        
    
        
            
        <script>
          import {
            mdbSelect,
            mdbContainer
          } from 'mdbvue';
          export default {
            name: 'SelectPage',
            components: {
              mdbSelect,
              mdbContainer
            },
            data() {
              return {
                iconsAndSearchOptions: [{
                    text: 'Option nr 1',
                    value: 'Option 1',
                    icon: 'https://mdbootstrap.com/img/Photos/Avatars/avatar-1.webp'
                  },
                  {
                    text: 'Option nr 2',
                    value: 'Option 2',
                    icon: 'https://mdbootstrap.com/img/Photos/Avatars/avatar-2.webp'
                  },
                  {
                    text: 'Option nr 3',
                    value: 'Option 3',
                    icon: 'https://mdbootstrap.com/img/Photos/Avatars/avatar-3.webp'
                  }
                ]
              };
            },
            methods: {
              getSelectValue(value, text) {
                console.log(value);
              }
            }
          }
        </script>
        
        
    

Multiselect - API

In this section you will find advanced information about the Multiselect component. You will learn which modules are required in this component, what are the possibilities of configuring the component, and what events and methods you can use in working with it.


Import statement

        
            
      <script>
        import {
          mdbSelect
        } from 'mdbvue';
      </script>
      
        
    

API Reference: Properties

Name Type Default Description Example
caretClass String Allows defining caret classes <mdb-select caretClass="..." ... />
caretStyle String Allows defining caret styles <mdb-select caretStyle="..." ... />
color String default Defines select hover color <mdb-select color="secondary" ... />
disabled Boolean false Disables select or each option <mdb-select disabled ... />
label String Changes input's label <mdb-select label="Example label" ... />
limitPlaceholder String 'options selected' Changes default placeholder for more than 5 options <mdb-select limitPlaceholder="selected" ... />
multiple Boolean false Allows multiple sellection <mdb-select multiple ... />
search Boolean false Adding search input inside dropdown menu <mdb-select search ... />
searchPlaceholder String 'Search here...' Defines search placeholder <mdb-select searchPlaceholder="Search" ... />
selectAll Boolean false Adding select all option <mdb-select selectAll ... />
selectAllPlaceholder String 'Select all' Changes select all option default value <mdb-select selectAllPlaceholder="..." ... />
wrapperClass String Allows defining wrapper classes <mdb-select wrapperClass="..." ... />
wrapperStyle String Allows defining wrapper styles <mdb-select wrapperStyle="..." ... />
validation Boolean false Enables default validation <mdb-select validation ... />
customValidation Boolean false Enables custom validation <mdb-select customValidation ... />
isValid Boolean false Custom validation check <mdb-select :isValid="true" ... />
validFeedback [String, Boolean] false Valid feedback label <mdb-select validFeedback="Correct" ... />
invalidFeedback [String, Boolean] false Invalid feedback label <mdb-select :invalidFeedback="Incorrect" ... />
outline Boolean Changes material select to outline style <mdb-select outline ... />
placeholder String Sets a placeholder in select's input field <mdb-select placeholder="placeholder" ... />
icon String Adds an icon <mdb-select icon="envelope" ... />
iconClass String Adds custom classes to an icon <mdb-select icon="envelope" iconClass="purple-text" ... />
far Boolean Changes icon's style to regular <mdb-select icon="..." far ... />
fal Boolean Changes icon's style to light <mdb-select icon="..." fal ... />
fab Boolean Changes icon's style to brands <mdb-select icon="..." fab ... />
scroll Boolean true Enables scrolling the dropdown's content <mdb-select scroll />
visibleOptions Number 4 Indicates maximum number of options visible in the dropwdown with scroll enabled <mdb-select :visibleOptions="6" />
flipOnScroll Boolean true If set to true, select will adjust its position while scroll/resize events <mdb-select flipOnScroll />
resultText String no results Information showed in search dropdown when nothing was found <mdb-select searcg resultText="Nothing to show!" />
show Boolean Prop which allow to toggle dropdown from outside <mdb-select :show="toggleDropdown" />
resetBtn Boolean false Shows button which can be used to reset select to its initial state <mdb-select resetBtn />

API Reference: Methods

Name Parameters Description Example
v-on:getValue value, text Returns select value and text. Use this method to handle select state changes. <mdb-select @getValue="getSelectValue" />
validate Validate select. <mdb-select v-model="options" validation ref="select" /> <mdb-btn size="sm" color="primary" @click.native="$refs.select.validate()">Validate</mdb-btn>
v-on:focus e Emitted on input's native focus event, meaning when the field gains focus. <mdb-select @focus="onFocus" />
v-on:blur e Emitted on input's native blur event, meaning when the field looses focus. <mdb-select @blur="onBlur" />
v-on:toggleSelect Boolean Emitted when dropdown is toggled <mdb-select :show="showDropdown" @toggleSelect="showDropdown = $event" />

API Reference: Slots

Name Description Example
v-slot:footer Allows to insert a save btn in the multi select's footer <mdb-select multiple> <template #footer> ... </template></mdb-select>

React Bootstrap Multiselect

React Multiselect - Bootstrap 4 & Material Design.

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

Bootstrap material multiselect is a form control, that after the click displays a collapsable list of multiple values which can be used in forms, menus or surveys.

Multiselect enables you to use and arrow keys to navigate through options and use key to select required option.


Basic example MDB Pro component

You can bind options data from object and have full control of select component, or you can use select with markup based on HTML. This solution offers a little bit less control over the component - it won't respond on outer options changes (f.e. deletion, sorting or keyboard control).

Note: Select All option is available only within Select with Object based options.

Basic Multiselect

        
            
              import React, { Component } from "react";
              import { MDBSelect } from "mdbreact";
  
              class SelectPage extends Component {
                state = {
                  options: [
                    {
                      text: "Option 1",
                      value: "1"
                    },
                    {
                      text: "Option 2",
                      value: "2"
                    },
                    {
                      text: "Option 3",
                      value: "3"
                    },
                    {
                      text: "Option 4",
                      value: "4"
                    },
                    {
                      text: "Option 5",
                      value: "5"
                    }
                  ]
                };
  
                render() {
                  return (
                    <div>
                      <MDBSelect
                        multiple
                        options={this.state.options}
                        selected="Choose your option"
                        selectAll
                      />
                    </div>
                  );
                }
              }
  
              export default SelectPage;
            
        
    

MultiSelect with Markup

        
            
                import React, { Component } from "react";
                import { MDBSelect, MDBSelectInput, MDBSelectOptions, MDBSelectOption} from "mdbreact";
  
                class SelectPage extends Component {
                  render() {
                    return (
                      <div>
                        <MDBSelect>
                          <MDBSelectInput selected="Choose your option" />
                          <MDBSelectOptions>
                            <MDBSelectOption disabled>Choose your option</MDBSelectOption>
                            <MDBSelectOption value="1">Option 1</MDBSelectOption>
                            <MDBSelectOption value="2">Option 2</MDBSelectOption>
                            <MDBSelectOption value="3">Option 3</MDBSelectOption>
                            <MDBSelectOption value="4">Option 4</MDBSelectOption>
                            <MDBSelectOption value="5">Option 5</MDBSelectOption>
                          </MDBSelectOptions>
                        </MDBSelect>
                      </div>
                    );
                  }
                }
  
                export default SelectPage;
              
        
    

Color variations MDB Pro component

In order to change a select color use property color.

        
            
          import React, { Component } from "react";
          import { MDBSelect } from "mdbreact";
  
          class SelectPage extends Component {
            state = {
              options: [
                {
                  text: "Option nr 1",
                  value: "1"
                },
                {
                  text: "Option nr 2",
                  value: "2"
                },
                {
                  text: "Option nr 3",
                  value: "3"
                },
                {
                  text: "Option nr 4",
                  value: "4"
                },
                {
                  text: "Option nr 5",
                  value: "5"
                }
              ]
            };
  
            render() {
              return (
                <div>
                  <MDBSelect
                    color="primary"
                    multiple
                    options={this.state.options}
                    selected="Choose your option"
                    label="Example label"
                  />
                </div>
              );
            }
          }
  
          export default SelectPage;
        
        
    
        
            
          import React, { Component } from "react";
          import { MDBSelect, MDBSelectInput, MDBSelectOptions, MDBSelectOption } from "mdbreact";
  
          class SelectPage extends Component {
            render() {
              return (
                <div>
                  <MDBSelect multiple color="primary" label="Example label">
                    <MDBSelectInput selected="Choose your option" />
                    <MDBSelectOptions>
                      <MDBSelectOption disabled>Choose your option</MDBSelectOption>
                      <MDBSelectOption value="1">Option nr 1</MDBSelectOption>
                      <MDBSelectOption value="2">Option nr 2</MDBSelectOption>
                      <MDBSelectOption value="3">Option nr 3</MDBSelectOption>
                      <MDBSelectOption value="4">Option nr 4</MDBSelectOption>
                      <MDBSelectOption value="5">Option nr 5</MDBSelectOption>
                    </MDBSelectOptions>
                  </MDBSelect>
                </div>
              );
            }
          }
  
          export default SelectPage;
          
        
    


Preselected options MDB Pro component

Use property selected to preselect option while component renders.

        
            
          import React, { Component } from "react";
          import { MDBSelect } from "mdbreact";
  
          class SelectPage extends Component {
            state = {
              options: [
                {
                  text: "Option nr 1",
                  value: "1"
                },
                {
                  text: "Option nr 2",
                  value: "2"
                },
                {
                  checked: true,
                  text: "Option nr 3",
                  value: "3"
                },
                {
                  text: "Option nr 4",
                  value: "4"
                },
                {
                  text: "Option nr 5",
                  value: "5"
                }
              ]
            };
  
            render() {
              return (
                <div>
                  <MDBSelect
                    multiple
                    search
                    options={this.state.options}
                    selected="Choose your option"
                    label="Example label"
                    selectAll
                  />
                </div>
              );
            }
          }
  
          export default SelectPage;
        
        
    
        
            
          import React, { Component } from "react";
          import { MDBSelect, MDBSelectInput, MDBSelectOptions, MDBSelectOption } from "mdbreact";
  
          class SelectPage extends Component {
            render() {
              return (
                <div>
                  <MDBSelect multiple label="Example label">
                    <MDBSelectInput selected="Choose your option" />
                    <MDBSelectOptions>
                      <MDBSelectOption disabled>Choose your option</MDBSelectOption>
                      <MDBSelectOption value="1">Option nr 1</MDBSelectOption>
                      <MDBSelectOption value="2">Option nr 2</MDBSelectOption>
                      <MDBSelectOption value="3" selected>Option nr 3</MDBSelectOption>
                      <MDBSelectOption value="4">Option nr 4</MDBSelectOption>
                      <MDBSelectOption value="5">Option nr 5</MDBSelectOption>
                    </MDBSelectOptions>
                  </MDBSelect>
                </div>
              );
            }
          }
  
          export default SelectPage;
          
        
    

Option groups MDB Pro component

Separate groups of options using disabled option.

        
            
          import React, { Component } from "react";
          import { MDBSelect } from "mdbreact";
  
          class SelectPage extends Component {
            state = {
              options: [
                {
                  disabled: true,
                  text: "team 1"
                },
                {
                  text: "Option 1",
                  value: "1"
                },
                {
                  text: "Option 2",
                  value: "2"
                },
                {
                  disabled: true,
                  text: "team 2"
                },
                {
                  checked: true,
                  text: "Option 3",
                  value: "3"
                },
                {
                  text: "Option 4",
                  value: "4"
                }
              ]
            };
  
            render() {
              return (
                <div>
                  <MDBSelect
                    multiple
                    options={this.state.options}
                    selected=""
                    label="Example label"
                  />
                </div>
              );
            }
          }
  
          export default SelectPage;
        
        
    
        
            
          import React, { Component } from "react";
          import { MDBSelect, MDBSelectInput, MDBSelectOptions, MDBSelectOption } from "mdbreact";
  
          class SelectPage extends Component {
            render() {
              return (
                <div>
                  <MDBSelect multiple label="Example label">
                    <MDBSelectInput selected="Choose your option" />
                    <MDBSelectOptions>
                      <MDBSelectOption disabled>team 1</MDBSelectOption>
                      <MDBSelectOption value="1">Option 1</MDBSelectOption>
                      <MDBSelectOption value="2">Option 2</MDBSelectOption>
                      <MDBSelectOption separator>team 2</MDBSelectOption>
                      <MDBSelectOption value="3">Option 3</MDBSelectOption>
                      <MDBSelectOption value="4">Option 4</MDBSelectOption>
                    </MDBSelectOptions>
                  </MDBSelect>
                </div>
              );
            }
          }
  
          export default SelectPage;
          
        
    

Multiselect with icons MDB Pro component

Beautify your select and use icons inside option components.

        
            
          import React, { Component } from "react";
          import { MDBSelect } from "mdbreact";
  
          class SelectPage extends Component {
            state = {
              options: [
                {
                  icon: "https://mdbootstrap.com/img/Photos/Avatars/avatar-1.webp",
                  value: "example 1",
                  text: "User nr 1"
                },
                {
                  icon: "https://mdbootstrap.com/img/Photos/Avatars/avatar-2.webp",
                  value: "example 2",
                  text: "User nr 2"
                },
                {
                  icon: "https://mdbootstrap.com/img/Photos/Avatars/avatar-3.webp",
                  value: "example 3",
                  text: "User nr 3"
                }
              ]
            };
  
            render() {
              return (
                <div>
                  <MDBSelect
                    multiple
                    options={this.state.options}
                    selected="Choose your option"
                    label="Example label"
                    selectAll
                  />
                </div>
              );
            }
          }
  
          export default SelectPage;
        
        
    
        
            
          import React, { Component } from "react";
          import { MDBSelect, MDBSelectInput, MDBSelectOptions, MDBSelectOption } from "mdbreact";
  
          class SelectPage extends Component {
            render() {
              return (
                <div>
                  <MDBSelect multiple label="Example label">
                    <MDBSelectInput selected="Choose your option" />
                    <MDBSelectOptions>
                        <MDBSelectOption disabled>Choose your option</MDBSelectOption>
                        <MDBSelectOption
                          value="example 1"
                          icon="https://mdbootstrap.com/img/Photos/Avatars/avatar-1.webp"
                        >
                          User nr 1
                        </MDBSelectOption>
                        <MDBSelectOption
                          value="example 2"
                          icon="https://mdbootstrap.com/img/Photos/Avatars/avatar-2.webp"
                        >
                          User nr 2
                        </MDBSelectOption>
                        <MDBSelectOption
                          value="example 3"
                          icon="https://mdbootstrap.com/img/Photos/Avatars/avatar-3.webp"
                        >
                          User nr 3
                        </MDBSelectOption>
                      </MDBSelectOptions>
                  </MDBSelect>
                </div>
              );
            }
          }
  
          export default SelectPage;
          
        
    

Disabled select option MDB Pro component

By adding a disabled attribute to the particular option, you can make it unselectable.

        
            
          import React, { Component } from "react";
          import { MDBSelect } from "mdbreact";
  
          class SelectPage extends Component {
            state = {
              options: [
                {
                  disabled: true,
                  text: "Disabled option",
                  value: "1"
                },
                {
                  text: "Option nr 2",
                  value: "2"
                },
                {
                  text: "Option nr 3",
                  value: "3"
                }
              ]
            };
  
            render() {
              return (
                <div>
                  <MDBSelect
                    multiple
                    options={this.state.options}
                    selected="Choose your option"
                    label="Example label"
                    selectAll
                  />
                </div>
              );
            }
          }
  
          export default SelectPage;
        
        
    
        
            
          import React, { Component } from "react";
          import { MDBSelect, MDBSelectInput, MDBSelectOptions, MDBSelectOption } from "mdbreact";
  
          class SelectPage extends Component {
            render() {
              return (
                <div>
                  <MDBSelect multiple label="Example label">
                    <MDBSelectInput selected="Choose your option" />
                    <MDBSelectOptions>
                      <MDBSelectOption disabled>Choose your option</MDBSelectOption>
                      <MDBSelectOption value="1" disabled>Disabled option</MDBSelectOption>
                      <MDBSelectOption value="2">Option nr 2</MDBSelectOption>
                      <MDBSelectOption value="3">Option nr 3</MDBSelectOption>
                    </MDBSelectOptions>
                  </MDBSelect>
                </div>
              );
            }
          }
  
          export default SelectPage;
          
        
    

React Select - API

In this section you will find advanced information about the Select component. You will find out which modules are required, what are the possibilities of configuring the component, and what events and methods you can use to work with it.


Imports

        
            
          import React from 'react';
          import { MDBSelect, MDBSelectInput, MDBSelectOptions, MDBSelectOption } from 'mdbreact';
        
        
    

Usage

There are two ways to bind your data into Select.
You can use regular JSX/HTML markup, or build an Array of object structured data.

        
            
          import React, { Component } from "react";
          import { MDBSelect } from "mdbreact";

          class SelectPage extends Component {
            state = {
              options: [
                {
                  checked: false,
                  disabled: false,
                  icon: null,
                  value: "1",
                  text: "Option 1"
                },
                {
                  checked: false,
                  disabled: false,
                  icon: null,
                  value: "2",
                  text: "Option 2"
                },
                {
                  checked: false,
                  disabled: false,
                  icon: null,
                  value: "3",
                  text: "Option 3"
                }
              ]
            };

            render() {
              return (
                <div>
                  <MDBSelect
                    multiple
                    options={this.state.options}
                    selected="Choose your option"
                  />
                  <label>Example label</label>
                </div>
              );
            }
          }

          export default SelectPage;
        
        
    
        
            
          import React, { Component } from "react";
          import { MDBSelect, MDBSelectInput, MDBSelectOptions, MDBSelectOption } from "mdbreact";

          class SelectPage extends Component {
            render() {
              return (
                <div>
                  <MDBSelect>
                    <MDBSelectInput selected="Choose your option" />
                    <SelectOptions>
                      <MDBSelectOption disabled>Choose your option</MDBSelectOption>
                      <MDBSelectOption value="1">Option nr 1</MDBSelectOption>
                      <MDBSelectOption value="2">Option nr 2</MDBSelectOption>
                      <MDBSelectOption value="3">Option nr 3</MDBSelectOption>
                    </MDBSelectOptions>
                  </MDBSelect>
                  <label>Example label</label>
                </div>
              );
            }
          }

          export default SelectPage;
        
        
    

API Reference: Select Properties

The table below shows the configuration options of the MDBSelect component.

Name Type Default Description Example
className String "select-wrapper md-form mdb-select" Select wrapper classes. <MDBSelect className="my-custom-class">
color String Sets colorfull hover efect on select options. <MDBSelect color="primary">
label String Sets animated label for the select input. <MDBSelect label="Example label">
labelClass String Sets custom class for select label (f.e. to change background color). <MDBSelect labelClass="customClass">
multiple Boolean false Allows to select multiple options. <MDBSelect multiple={true}>
options Array(Object) [] Sets options array as source of data. This property is used in alternative Select version. <MDBSelect options={this.state.options} />
outline Boolean false Switch outline mode - Material 2.0 design with outlines and animated label. <MDBSelect outline />
Next properties works only for Select with data Array!
required Boolean false Makes select required when submitting form. <MDBSelect required >
search Boolean false Search element will appear as the first child of select. <MDBSelect search={true} >
searchLabel String Search Changes default label of additional search element. <MDBSelect searchLabel="Find option" />
searchId String selectSearchInput Changes default id of additional search element. <MDBSelect searchId="id" />
selected String Set default select text content. <MDBSelect selected="Choose option" >
selectAll Boolean false Enables Select All button. <MDBSelect selectAll >
selectAllLabel String "Select All" Sets text for Select All button. <MDBSelect selectAllLabel="Select All" >
selectAllValue String "0" Sets value for Select All button. <MDBSelect selectAllValue="0" >
focusBackgroundColor String "#eee" Sets background-color for focused option. <MDBSelect focusBackgroundColor="#eee" >
focusShadow String "inset 0px -17px 15px -16px rgba(0, 0, 0, 0.35)" Sets box-shadow for focused option. <MDBSelect focusShadow="inset 0px -17px 15px -16px rgba(0, 0, 0, 0.35)" >

API Reference: Select Methods

Name Parameters Description Example
getTextContent Returns input text content. Use this method to get string with selected options. <MDBSelect getTextContent={this.handleSelectChange} >
getValue Returns Select value. Use this method to get array with selected options. <MDBSelect getValue={this.handleSelectChange} >

API Reference: SelectInput Properties

The table below shows the configuration options of the MDBSelectInput component.

Name Type Default Description Example
className String Sets custom classes. <MDBSelectInput className="customClass" >
selected String Works only with Select with markup! Set default select text content. <MDBSelect selected="Choose option" >

API Reference: SelectOptions Properties

The table below shows the configuration options of the MDBSelectOptions component.

Name Type Default Description Example
className String Sets custom classes. <MDBSelectOptions className="customClass" >
search Boolean false Search element will appear as the firs child of select. <MDBSelectOptions search >
searchLabel String Search Changes default label of additional search element. <MDBSelectOptions searchLabel="Find option" />
searchId String selectSearchInput Changes default id of additional search element. <MDBSelectOptions searchId="id" />

API Reference: SelectOption Properties

The table below shows the configuration options of the MDBSelectOption component.

Name Type Default Description Example
checked Boolean false If true - the option will be preselected during mount. <MDBSelectOption checked >
className String Sets custom classes. <MDBSelectOption className="customClass" >
disabled Boolean false If true - the option wont be clickable. <MDBSelectOption disabled >
separator Boolean false If true - adds top border (sets disabled to true). <MDBSelectOption separator >
icon String Inserts icon into select option. <MDBSelectOption icon="icon_url" >
value String Sets option value (you can still use text content - value will be readable in getValue method). <MDBSelectOption value="option 1" >

API Reference: Options Array Structure

The table below shows the configuration options as an list of objects for alternative Select.

Name Type Default Description Example
checked Boolean If true - the option will be preselected during mount. { checked: true }
disabled Boolean If true - the option wont be clickable. { disabled: true }
icon String Inserts icon into select option. { icon="icon_url" }
text String Sets option text content. { text: "Option one" }
value String Sets option value. { value: "1" }